mcaf.ee is out of date Rated 3 out of 5 stars

The mcaf.ee shortner gives an error:

The Mcaf.ee API returned with an error. (API Version 1)
===============================
FF 11.0